Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QDomComment Class Reference
[XML module]

The QDomComment class represents an XML comment. More...

All the functions in this class are reentrant when Qt is built with thread support.

`#include <qdom.h>`

Inherits QDomCharacterData.

List of all member functions.

## Public Members

- QDomComment ()
- QDomComment ( const QDomComment & x )
- QDomComment & operator= ( const QDomComment & x )
- ~QDomComment ()
- virtual QDomNode::NodeType nodeType () const
- virtual bool isComment () const

## Detailed Description

The QDomComment class represents an XML comment.

A comment in the parsed XML such as this:

        <!-- this is a comment -->

is represented by QDomComment objects in the parsed Dom tree.

For further information about the Document Object Model see http://www.w3.org/TR/REC-DOM-Level-1/ and http://www.w3.org/TR/DOM-Level-2-Core/. For a more general introduction of the DOM implementation see the QDomDocument documentation.

See also XML.

## Member Function Documentation

### QDomComment::QDomComment ()

Constructs an empty comment. To construct a comment with content, use the QDomDocument::createComment() function.

### QDomComment::QDomComment ( const QDomComment & x )

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomComment::~QDomComment ()

Destroys the object and frees its resources.

### bool QDomComment::isComment () const`[virtual]`

Returns TRUE.

Reimplemented from QDomNode.

### QDomNode::NodeType QDomComment::nodeType () const`[virtual]`

Returns CommentNode.

Reimplemented from QDomCharacterData.

### QDomComment & QDomComment::operator= ( const QDomComment & x )

Assigns x to this DOM comment.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

This file is part of the Qt toolkit. Copyright © 1995-2005 Trolltech. All Rights Reserved.